Skip to content
GET /unified/ecommerce/customers/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

addressesobject[]

The addresses of a customer

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
citystring

The city of the address of a customer

countrystring

The country of the address of a customer

idstring

The unique identifier of an address of a customer

postal_codestring

The postal code of the address of a customer

statestring

The state/province of the address of a customer

street_1string

The first line of address of a customer

street_2string

The second line of address of a customer

typestring

The type of an address of a customer

company_namestring

The company name of customer

3 supported
Bigcommerce
supported
Wix
supported
Zoho Inventory
supported
created_atstring · date-time

The date and time when customer was created

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
currencystring

The currency associated to customer

2 supported
Shopify
supported
Zoho Inventory
supported
emailsobject[]

The emails of customer

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
emailstring
required·

The email of the customer

is_primaryboolean

The status of email

typestring

The type of email

first_namestring

The first name of customer

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
idstring

The unique identifier for customer

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
last_namestring

The last name of customer

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
namestring

The full name of customer

4 supported
Commerce7
supported
Shopify
supported
Wix
supported
Zoho Inventory
supported
ordersobject[]

The orders of customer

References: Orders → id
1 supported
Commerce7
supported
idstring

The id of orders of the customer

statusstring

The status of orders of the customer

totalstring

The total amount of orders of email

phonesobject[]

The phone numbers of customer

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
numberstring
required·

The number of phone

extensionstring

The extension of the phone number

typestring

The type of phone

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of customer. If no clear mapping exists, then raw value is returned.

Possible values:
activeinactive
3 supported
Commerce7
supported
Shopify
supported
Zoho Inventory
supported
updated_atstring · date-time

The date and time when customer was updated

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
curl -X GET 'https://api.truto.one/unified/ecommerce/customers/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ecommerce/customers/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ecommerce/customers/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ecommerce',
  'customers',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ecommerce",
        "customers",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())